Overview | Package | Class | Tree | Deprecated | Index | Help
| ContactCenters V. 0.9.9.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## umontreal.iro.lecuyer.contactcenters.queue
Class ContactPatienceTimeGenerator

    java.lang.Object
      umontreal.iro.lecuyer.contactcenters.queue.ContactPatienceTimeGenerator

All Implemented Interfaces:
  Initializable, ValueGenerator

    public class ContactPatienceTimeGenerator

extends Object
implements ValueGenerator

Value generator for the patience time of contacts. This implementation simply calls the `Contact.getDefaultPatienceTime()` method to get the patience times. For each new waiting queue, such a value generator is created and used by default.

Constructor Summary
`ContactPatienceTimeGenerator()`

Method Summary
`void` | `init()` Initializes the generator at the beginning of the simulation.
`double` | `nextDouble(Contact contact)` Generates and returns a new value for the contact `contact`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ContactPatienceTimeGenerator

    public ContactPatienceTimeGenerator()

Method Detail

### init

    public void init()

  Description copied from interface: `ValueGenerator`
  Initializes the generator at the beginning of the simulation.

  Specified by:
    `init` in interface `Initializable`
  Specified by:
    `init` in interface `ValueGenerator`

### nextDouble

    public double nextDouble(Contact contact)

  Description copied from interface: `ValueGenerator`
  Generates and returns a new value for the contact `contact`. If `contact` is `null` and this is not allowed by the implementation, this method should throw a `NullPointerException`.

  Specified by:
    `nextDouble` in interface `ValueGenerator`
  Parameters:
    `contact` - the contact being concerned.
  Returns:
    the generated value.

Overview | Package | Class | Tree | Deprecated | Index | Help
| ContactCenters V. 0.9.9.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

To submit a bug or ask questions, send an e-mail to Richard Simard.